Project

General

Profile

Bug #66549

Error when Cloud Syncs is scheduled

Added by pietro p 18 days ago. Updated 5 days ago.

Status:
Closed
Priority:
No priority
Assignee:
Release Council
Category:
Middleware
Target version:
Seen in:
Severity:
New
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Hello,

A couple days ago I installed my first Freenas on a assembled PC.
There are not problems except on a scheduling of Cloud Syncs.

I'm using version: FreeNAS-11.1-U6.3

When scheduling a Cloud Syncs with Azure Blob Storage and I try to execute task manually, there are not problems.

Configuration of task is:

  • Direction: Push
  • Operation: Sync or Copy

When I schedule Syncs I receive this error:


[ENOMETHOD] Method "sync" not found in "cloudsync" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 906, in _method_lookup
    serviceobj = self.get_service(service)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 823, in get_service
    return self.__services[name]
KeyError: 'cloudsync'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 150, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 915, in call_method
    serviceobj, methodobj = self._method_lookup(message['method'])
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 909, in _method_lookup
    raise CallError(f'Method "{method_name}" not found in "{service}"', CallError.ENOMETHOD)
middlewared.service_exception.CallError: [ENOMETHOD] Method "sync" not found in "cloudsync" 

Thanks

ciao
p


Related issues

Is duplicate of FreeNAS - Bug #66405: Fix traceback in cloudsyncDone

History

#1 Updated by Dru Lavigne 17 days ago

  • Is duplicate of Bug #66405: Fix traceback in cloudsync added

#2 Updated by Dru Lavigne 17 days ago

  • Status changed from Unscreened to Closed
  • Target version changed from Backlog to N/A
  • Reason for Closing set to Duplicate Issue

Pietro: you won't be able to see the duplicate ticket until the dev has a fix and removes that user's debug info. Once that happens, you can watch for the resolution of this issue on that ticket.

#3 Updated by Lukáš Mojžíš 5 days ago

+1 I'm also affected, with Backblaze backend

Also available in: Atom PDF